Subject: Re: bug#21976: error when building vlc-2.2.1 (sha mismatch of a dependency)

From: Jan Synáček <[email-masked]>
Date: Sat, 21 Nov 2015 22:26:24 +0100

On Sat, Nov 21, 2015 at 9:51 PM, Efraim Flashner <[email-masked]> wrote:
> On Sat, 21 Nov 2015 21:36:28 +0100
> Jan Synáček <[email-masked]> wrote:
>
>> I'm getting the following error:
>>
>> [...]
>> Starting download of
>> /gnu/store/c0kix7cn1pvdq5r563r97kxm66ldnf87-ladspa_sdk_1.13.tgz
>> From http://www.ladspa.org/download/ladspa_sdk_1.13.tgz...
>>  ladspa_sdk_1.13.tgz                          10.5MiB/s 00:00 | 3KiB transferred
>                                                                   ^^^
>                                         download size is way too small
>> output path `/gnu/store/c0kix7cn1pvdq5r563r97kxm66ldnf87-ladspa_sdk_1.13.tgz'
>> should have sha256 hash
>> `0srh5n2l63354bc0srcrv58rzjkn4gv8qjqzg8dnq3rs4m7kzvdm', instead has
>> `0dmh3k49yl8ii96bz32vlgc8w1fz99295h93aghfb2q1myx81lqv'
> ...
>> I'm using guix-0.9.0.
>>
>
> Their website seems to be down atm, which means their downloads are also
> down.  As a workaround, download from archive.org here:
> https://web.archive.org/web/20150427072109/http://www.ladspa.org/download/ladspa_sdk_1.13.tgz
> and then do `guix download file:///path/to/file` and that should at least
> help for right now.

Oh, I didn't notice that the download wasn't complete. The workaround helped.

Sorry for the noise,
Jan